## apertium-kaz 0.1.0~r61338

=== eval/Makefile ===
LANG1=kaz
STAMP=$(shell date)
DATE=$(shell date +%Y-%m-%d.%H:%M)
LOG=history.log
SRC=src.1000.txt
REF=ref.1000.txt
TST=tst.1000.txt.$(DATE)
all:
	cat $(SRC) | lt-proc -w ../$(LANG1).automorf.bin > $(TST)
	echo -ne $(STAMP)"\t" >> $(LOG)
	python3 evaluate-morph.py $(TST) $(REF) 2>> $(LOG)

=== dev/numerals/Makefile ===
all:
	cat numerals.lexc | grep -v 'Dir/LR' > numerals.RL.lexc
	cat numerals.lexc | grep -v 'Dir/RL' > numerals.LR.lexc
	hfst-lexc numerals.LR.lexc -o numerals.LR.lexc.hfst
	hfst-lexc numerals.RL.lexc -o numerals.RL.lexc.hfst
	hfst-twolc numerals.twol -o numerals.twol.hfst
	hfst-compose-intersect -1 numerals.LR.lexc.hfst -2 numerals.twol.hfst -o numerals.LR.gen.hfst
	hfst-compose-intersect -1 numerals.RL.lexc.hfst -2 numerals.twol.hfst -o numerals.RL.gen.hfst
	hfst-invert -i numerals.LR.gen.hfst | hfst-fst2fst -O -o numerals.LR.hfst
	hfst-fst2fst -O -i numerals.RL.gen.hfst -o numerals.RL.hfst

clean:
	rm *.hfst

=== dev/transliterate/Makefile ===
all: cyr-ara ara-kaz lat-kaz

cyr-ara: cyr-ara.twol
	hfst-twolc $< | hfst-fst2fst -O -o $@.ohfst
	hfst-twolc $< -o $@.hfst

ara-kaz: ara-kaz.twol
	hfst-twolc $< | hfst-fst2fst -O -o $@.ohfst
	hfst-twolc $< -o $@.hfst

lat-kaz: lat-kaz.twol
	hfst-twolc $< | hfst-fst2fst -O -o $@.ohfst
	hfst-twolc $< -o $@.hfst

clean:
	rm -rf *.ohfst *.hfst

=== tests/morphotactics/Makefile ===
# A makefile which trims the transducer to prefixes in /prefixes
# and expands trimmed transducers into text files in the current
# directory.

LANGUAGE=kaz

all: NP-LAT.txt.gz N1.txt.gz A1.txt.gz V-TV.txt.gz PRON.txt.gz PRON-REF.txt.gz

.deps/.d:
	test -d .deps || mkdir .deps
	touch $@

.PRECIOUS: .deps/.d



.deps/%.prefix.bin: prefixes/%.prefix.dix .deps/.d
	lt-comp lr $< $@

.deps/%.prefix.att: .deps/%.prefix.bin
	lt-print $< | sed 's/ /@_SPACE_@/g' > $@

.deps/%.prefix.hfst: .deps/%.prefix.att
	hfst-txt2fst -e ε < $< > $@

.deps/%.prefix.upper: .deps/%.prefix.hfst
	hfst-project -p upper $< > $@

.deps/any-symbol.hfst:
	echo " ?* " | hfst-regexp2fst > $@

.deps/%.prefixes: .deps/%.prefix.upper .deps/any-symbol.hfst
	hfst-concatenate -1 $< -2 .deps/any-symbol.hfst -o $@

.deps/$(LANGUAGE).automorf.hfst: ../../$(LANGUAGE).automorf.att.gz
	zcat $< | hfst-txt2fst > $@

.deps/%.hfst: .deps/%.prefixes .deps/$(LANGUAGE).automorf.hfst 
	hfst-compose-intersect -1 .deps/$(LANGUAGE).automorf.hfst -2 $< -o $@

%.txt.gz: .deps/%.hfst
	hfst-fst2strings $< | gzip -c > $@

=== debian/changelog ===
apertium-kaz (0.1.0~r61338-2) unstable; urgency=low

  * debian/source/lintian-overrides:
    + Added overrides for false positive error: source-is-missing.
  * debian/control:
    + Updated Standards-Version to 4.1.4.
    + Updated Homepage.
    + Updated Vcs-* fields.
    + Updated Depends.
    + Use dh 11.
  * Use https in debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Wed, 13 Jun 2018 14:12:25 +0530

apertium-kaz (0.1.0~r61338-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #828101)
  * No tarball release, so taking directly from svn

 -- Kartik Mistry <kartik@debian.org>  Mon, 27 Jun 2016 19:19:17 +0530

=== debian/control ===
Source: apertium-kaz
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.4),
               cg3,
               debhelper (>= 11),
               gawk,
               hfst,
               hfst-ospell-dev,
               libhfst-dev,
               pkg-config (>= 0.21),
               zip
Standards-Version: 4.1.4
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-kaz.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-kaz

Package: apertium-kaz
Architecture: all
Depends: apertium (>= 3.4), cg3, hfst, ${misc:Depends}
Description: Apertium single language data for Kazakh
 Data package providing Apertium language resources for Kazakh

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

%:
	dh $@ --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- --enable-ospell
